# 机器人命令
```
z0: 查询支付宝价格
w0: 查询微信价格
b0: 查询银行价格
10(+-*/)10: 加减乘除
sh: 群组商户信息
ye: 群组商户余额
qd: 群组通道信息
cgl: 通道查询成功率
cgl: 商户查询成功率
---下方命令需管理权限--
tjgl: 添加管理(tjgl用户名)
scgl: 删除管理(scgl用户名)
gbsh: 关闭商户
kqsh: 开启商户
jssh: 所有商户出账单
jssh商户号: “指定商户出账单”(jssh2000000)
dsyj: 代收预警阀值设置(dsyj10)
dfyj: 代付预警阀值设置(dfyj10)
bdsh商户号: "绑定商户"(bdsh2000000)
jbsh: 解绑商户
bdqd通道编码: "绑定通道",多个用英文逗号隔开(bdqd1,2,3)
jbqd通道编号: "解绑通道",多个用英文逗号隔开(jbqd1,2,3)
gbqd通道编码: "关闭通道",多个用英文逗号隔开(gbqd1,2,3)
kqqd通道编号: "开启通道",多个用英文逗号隔开(kqqd1,2,3)
ds: "代收记账"(ds500或ds-500)
df: "代付记账"(df500或df-500)
dsjl: 代收记账24小时历史
dfjl: 代付记账24小时历史
```



# 文件简介

```
/home/luck/Data/workspace/jebot/jebot/src
├── main
│   ├── java
│   │   └── org
│   │       └── jebot
│   │           ├── config                          # 配置相关类
│   │           │   ├── BotConfig.java              # 机器人配置类
│   │           │   ├── JpaJebotConfig.java        # JEBot 模块的 JPA 配置类
│   │           │   └── JpaXxpayConfig.java        # Xxpay 模块的 JPA 配置类
│   │           ├── constant                       # 常量定义类
│   │           │   └── Constant.java              # 全局常量类
│   │           ├── handler                        # 消息处理器相关类
│   │           │   ├── AbstractHandler.java       # 抽象处理器类，定义通用逻辑
│   │           │   ├── dto
│   │           │   │   └── BotMessage.java        # 机器人消息的数据传输对象 (DTO)
│   │           │   ├── HandlerManager.java        # 处理器管理类
│   │           │   └── impl                       # 具体处理器实现
│   │           │       ├── admin
│   │           │       │   └── AdminHandler.java  # 管理员相关消息处理器
│   │           │       ├── AuthHandler.java       # 认证相关消息处理器
│   │           │       ├── calculator
│   │           │       │   └── CalculatorHandler.java # 计算器功能处理器
│   │           │       ├── change
│   │           │       │   └── GroupChangeHandler.java # 群组变更处理器
│   │           │       ├── channel                # 通道相关处理器
│   │           │       │   ├── ChannelAccountBookHandler.java          # 通道账户账本处理器
│   │           │       │   ├── ChannelAccountBookHistoryHandler.java   # 通道账户历史记录处理器
│   │           │       │   ├── ChannelBindGroupOrUnbindGroupHandler.java # 通道绑定/解绑群组处理器
│   │           │       │   ├── ChannelInfoHandler.java                 # 通道信息处理器
│   │           │       │   ├── ChannelStausHandler.java                # 通道状态处理器
│   │           │       │   └── ChannelSuccessRateHandler.java          # 通道成功率处理器
│   │           │       ├── complaint
│   │           │       │   └── ComplaintHandler.java   # 投诉相关处理器
│   │           │       ├── HelpHandler.java            # 帮助信息处理器
│   │           │       ├── IdHandler.java              # ID 相关处理器
│   │           │       ├── merchant                    # 商户相关处理器
│   │           │       │   ├── MerchantAccountBookHandler.java          # 商户账户账本处理器
│   │           │       │   ├── MerchantAccountBookHistoryHandler.java   # 商户账户历史记录处理器
│   │           │       │   ├── MerchantBindGroupOrUnbindGroupHandler.java # 商户绑定/解绑群组处理器
│   │           │       │   ├── MerchantDropOrderHandler.java            # 商户订单丢失处理器
│   │           │       │   ├── MerchantInfoHandler.java                 # 商户信息处理器
│   │           │       │   ├── MerchantOneClickSettlementHandler.java   # 商户一键结算处理器
│   │           │       │   ├── MerchantStatusHandler.java               # 商户状态处理器
│   │           │       │   ├── MerchantSuccessRateHandler.java          # 商户成功率处理器
│   │           │       │   └── MerchantWarnHandler.java                 # 商户警告处理器
│   │           │       └── price
│   │           │           └── PriceQueryHandler.java   # 价格查询处理器
│   │           ├── JEBot.java                           # 项目主入口类
│   │           ├── models                               # 实体类
│   │           │   ├── jebot
│   │           │   │   ├── BotAccountBookHistory.java  # 账户账本历史记录实体类
│   │           │   │   ├── BotAccountBook.java         # 账户账本实体类
│   │           │   │   ├── BotComplaint.java           # 投诉实体类
│   │           │   │   ├── BotGroup.java               # 群组实体类
│   │           │   │   ├── BotModel.java               # 机器人模型实体类
│   │           │   │   ├── BotUser.java                # 用户实体类
│   │           │   │   └── BotWarn.java                # 警告实体类
│   │           │   └── xxpay
│   │           │       ├── MchAccount.java             # 商户账户实体类
│   │           │       ├── PayOrder.java               # 支付订单实体类
│   │           │       ├── PayPassage.java             # 支付通道实体类
│   │           │       └── TransOrder.java             # 转账订单实体类
│   │           ├── repository                          # 数据访问层
│   │           │   ├── jebot
│   │           │   │   ├── BotAccountBookHistoryRepository.java  # 账户账本历史记录仓库
│   │           │   │   ├── BotAccountBookRepository.java         # 账户账本仓库
│   │           │   │   ├── BotComplaintRepository.java           # 投诉仓库
│   │           │   │   ├── BotGroupRepository.java               # 群组仓库
│   │           │   │   ├── BotUserRepository.java                # 用户仓库
│   │           │   │   └── BotWarnRepository.java                # 警告仓库
│   │           │   └── xxpay
│   │           │       ├── MchAccountRepository.java   # 商户账户仓库
│   │           │       ├── PayOrderRepository.java     # 支付订单仓库
│   │           │       ├── PayPassageRepository.java   # 支付通道仓库
│   │           │       └── TransOrderRepository.java   # 转账订单仓库
│   │           ├── rest
│   │           │   └── BotRest.java                    # 机器人相关的 REST 接口
│   │           ├── rpc
│   │           │   └── Rpc.java                        # 远程过程调用接口
│   │           ├── scheduled
│   │           │   └── MchScheduled.java              # 商户相关的定时任务
│   │           ├── service                             # 服务层
│   │           │   ├── dto
│   │           │   │   └── UpdateBalance.java         # 更新余额的 DTO 类
│   │           │   ├── IAccountBookService.java       # 账户账本服务接口
│   │           │   └── impl
│   │           │       └── AccountBookServiceImpl.java # 账户账本服务实现类
│   │           └── util                                # 工具类
│   │               ├── DateUtil.java                  # 日期工具类
│   │               ├── PriceUtil.java                 # 价格工具类
│   │               ├── QueryType.java                 # 查询类型工具类
│   │               └── SnowflakeId.java               # 唯一 ID 生成工具类
│   └── resources
│       ├── application.yml                            # Spring Boot 配置文件
│       └── logback-spring.xml                         # 日志配置文件
```

# 部署前请修改配置文件