package org.jebot.models.jebot;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Comment;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

@Getter
@Setter
@Entity(name = "bot_account_book")
@Table(
        name = "bot_account_book",uniqueConstraints = @UniqueConstraint(columnNames = {"type", "belong_id"})
)
public class BotAccountBook extends BotModel {

    @Column(name = "belong_id")
    @Comment("所属ID")
    Long belongId;

    @Column(name = "belong_name")
    @Comment("所属名称")
    String belongName;

    @Column(name = "payment_balance")
    @Comment("代收余额")
    double paymentBalance;

    @Column(name = "agent_balance")
    @Comment("代付余额")
    double agentBalance;

    @Column(name = "type")
    @Comment("类型: merchant, channel")
    String type;
}
