package org.jebot.models.jebot;

import lombok.*;
import org.hibernate.annotations.Comment;

import javax.persistence.Column;
import javax.persistence.Entity;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Entity(name = "bot_complaint")
@EqualsAndHashCode(callSuper = true)
public class BotComplaint extends BotModel {

    @Column(nullable = false, name = "mch_id")
    @Comment("商户id")
    private Long mchId;

    @Column(nullable = false,name = "complaint_id")
    @Comment("投诉id")
    private String complaintId;

    @Column(columnDefinition = "TEXT", name = "complaint_content")
    @Comment("投诉文字")
    private String complaintContent;

    @Column(columnDefinition = "TEXT", name = "complaint_photo")
    @Comment("投诉图片")
    private String complaintPhoto;

}
